#ifndef __TYPESPP_H_
#define __TYPESPP_H_
/*-------------------------------------------------------------------------
TYPESPP.H
३ 㭥, 䥢ࠫ 1998
㭪樨  ஢ન ⨯ .
---------------------------------------------------------------------------*/
#ifndef __cplusplus
#error Do you still use a C?
#endif

inline
int isBinary(register char s)
{
  return s=='0' || s=='1';
}


inline
int isOctal(register char s)
{
  return (s>='0' && s<='7');
}


inline
int isDecimal(register char s)
{
  return (s>='0' && s<='9');
}


inline
int isHeximal(register char s)
{
  return isDecimal(s) ||
	 (s>='a' && s<='f') ||
	 (s>='A' && s<='F');
}


inline
int is_latin(register char s)
{
  return s>='a' && s<='z';
}


inline
int isLatin(register char s)
{
  return s>='A' && s<='Z';
}


inline
int isPunct(register char s)
{
  return s=='.' || s==',' || s==':' || s==';' ||
	 s=='?' || s=='!' || s=='(' || s==')';
}


inline
int isRussian866(register char s)
{
  return ((unsigned char)(s)>=128 && (unsigned char)(s)<=159) ||
	 (unsigned char)(s)==240; //
}


inline
int is_russian866(register char s)
{
  return ( (unsigned char)(s)>=160 && (unsigned char)(s)<=175 ) ||
	 ( (unsigned char)(s)>=224 && (unsigned char)(s)<=239 ) ||
	 (unsigned char)(s)==241; //
}


inline
int isCyrilic866(register char s) //Ignore case
{
  if ( (unsigned char)s >= (unsigned char)'' &&
       (unsigned char)s <= (unsigned char)'' )
    return 1;
  if ( (unsigned char)s >= (unsigned char)'' &&
       (unsigned char)s <= (unsigned char)'' )
    return 1;
  if ( (unsigned char)s >= (unsigned char)'' &&
       (unsigned char)s <= (unsigned char)'' )
    return 1;
  return 0;

//  return ( ( (unsigned char)(s) >= (unsigned char)'' && (unsigned char)(s) <= (unsigned char)'') ) ||
//	  ( (unsigned char)(s) >= (unsigned char)'' && (unsigned char)(s) <= (unsigned char)'') ) ||
//	  ( (unsigned char)(s) >= (unsigned char)'' && (unsigned char)(s) <= (unsigned char)'') ) ;
}
#endif//#ifndef __TYPESPP_H_